LibreOffice: XParagraphCursor Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XParagraphCursor Interface Referencepublished

makes it possible to move paragraph by paragraph. More...

`import "XParagraphCursor.idl";`

Inheritance diagram for XParagraphCursor:

## Public Member Functions
boolean | isStartOfParagraph ()
| determines if the cursor is positioned at the start of a paragraph.
boolean | isEndOfParagraph ()
| determines if the cursor is positioned at the end of a paragraph.
boolean | gotoStartOfParagraph ([in] boolean bExpand)
| moves the cursor to the start of the current paragraph.
boolean | gotoEndOfParagraph ([in] boolean bExpand)
| moves the cursor to the end of the current paragraph.
boolean | gotoNextParagraph ([in] boolean bExpand)
| moves the cursor to the next paragraph.
boolean | gotoPreviousParagraph ([in] boolean bExpand)
| moves the cursor to the previous paragraph.
Public Member Functions inherited from XTextCursor
void | collapseToStart ()
| sets the end of the position to the start.
void | collapseToEnd ()
| sets the start of the position to the end.
boolean | isCollapsed ()
| determines if the start and end positions are the same.
boolean | goLeft ([in] short nCount, [in] boolean bExpand)
| moves the cursor the specified number of characters to the left.
boolean | goRight ([in] short nCount, [in] boolean bExpand)
| moves the cursor the specified number of characters to the right.
void | gotoStart ([in] boolean bExpand)
| moves the cursor to the start of the text.
void | gotoEnd ([in] boolean bExpand)
| moves the cursor to the end of the text.
void | gotoRange ([in] com::sun::star::text::XTextRange xRange, [in] boolean bExpand)
| moves or expands the cursor to a specified TextRange.
Public Member Functions inherited from XTextRange
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to move paragraph by paragraph.

## Member Function Documentation

## ◆ gotoEndOfParagraph()

boolean gotoEndOfParagraph | ( | [in] boolean | bExpand | ) |

moves the cursor to the end of the current paragraph.

Returns
  TRUE if the cursor is now at the end of a paragraph, FALSE otherwise. If FALSE was returned the cursor will remain at its original position.

## ◆ gotoNextParagraph()

boolean gotoNextParagraph | ( | [in] boolean | bExpand | ) |

moves the cursor to the next paragraph.

Returns
  TRUE if the cursor was moved. It returns FALSE it the cursor can not advance further.

## ◆ gotoPreviousParagraph()

boolean gotoPreviousParagraph | ( | [in] boolean | bExpand | ) |

moves the cursor to the previous paragraph.

Returns
  TRUE if the cursor was moved. It returns FALSE it the cursor can not advance further.

## ◆ gotoStartOfParagraph()

boolean gotoStartOfParagraph | ( | [in] boolean | bExpand | ) |

moves the cursor to the start of the current paragraph.

Returns
  TRUE if the cursor is now at the start of a paragraph, FALSE otherwise. If FALSE was returned the cursor will remain at its original position.

## ◆ isEndOfParagraph()

boolean isEndOfParagraph | ( |  | ) |

determines if the cursor is positioned at the end of a paragraph.

## ◆ isStartOfParagraph()

boolean isStartOfParagraph | ( |  | ) |

determines if the cursor is positioned at the start of a paragraph.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XParagraphCursor.idl